Show / Hide Table of Contents

# Delegate PropertyAccessor<T, U>.Getter

A getter for a property.

###### Namespace: IPA.Utilities

###### Assembly: IPA.Loader.dll

##### Syntax

    public delegate U Getter(ref T obj);

##### Parameters

Type | Name | Description
--- | --- | ---
T | obj | the object it is a member of

##### Returns

Type | Description
--- | ---
U | the value of the property

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])